# Generated by Django 3.2.8 on 2021-11-18 11:40

import django.db.models.deletion
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("calendar_utils", "0002_auto_20200523_0243"),
        ("district", "0014_districthomepage_fallback_image"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtarticlepage",
            name="author_page",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="district.districtpersonpage",
            ),
        ),
        migrations.CreateModel(
            name="DistrictCenterPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "calendar_url",
                    models.URLField(
                        blank=True,
                        null=True,
                        verbose_name="URL kalendáře ve formátu iCal",
                    ),
                ),
                (
                    "perex",
                    models.TextField(blank=True, null=True, verbose_name="Perex"),
                ),
                (
                    "text",
                    wagtail.fields.RichTextField(null=True, verbose_name="Text"),
                ),
                (
                    "background_photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                    ),
                ),
                (
                    "calendar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="calendar_utils.calendar",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Stránka pirátského centra",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
